Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 19 Aug 2022 06:16:05 +0000

Hi Hessah Alsufayyan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery The courier didn’t deliver my parcel on time. He called asking for my location even if it is clear already in the delivery address. I immediately told him and even sent the location address in his whatsapp. I told him that I needed it today. After a few minutes, I received a message from Baby shop that they can’t deliver the parcel. I am so disappointed as I badly needed it today and the courier is not replying to my messages nor answering my call. They are very rude, irresponsible and inconsiderate. Won’t shop again online. Bad experience. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4746971